//------------------------------------------------------------------------------------
// irr::scene::IShadowVolumeSceneNode wrappers (based on ISceneNode)
//------------------------------------------------------------------------------------

extern "C" {
	void IrrScene_IShadowVolumeSceneNode_setShadowMesh(IShadowVolumeSceneNode* sn, const IMesh* mesh)
	{
		if (sn)
			sn->setShadowMesh(mesh);
	}
	
	void IrrScene_IShadowVolumeSceneNode_updateShadowVolumes(IShadowVolumeSceneNode* sn)
	{
		if (sn)
			sn->updateShadowVolumes();
	}
}


